#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './kbloggerconfigblank.ui'
**
** Created: Thu Aug 2 15:51:39 2007
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.3.8   edited Jan 11 14:47 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "kbloggerconfigblank.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qgroupbox.h>
#include <qlabel.h>
#include <klineedit.h>
#include <kcombobox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include <qimage.h>
#include <qpixmap.h>

#include "klineedit.h"
#include "kcombobox.h"
/*
 *  Constructs a KBloggerConfigBlank as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
KBloggerConfigBlank::KBloggerConfigBlank( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "KBloggerConfigBlank" );
    KBloggerConfigBlankLayout = new QVBoxLayout( this, 11, 6, "KBloggerConfigBlankLayout"); 

    AccountGroupBox = new QGroupBox( this, "AccountGroupBox" );
    AccountGroupBox->setColumnLayout(0, Qt::Vertical );
    AccountGroupBox->layout()->setSpacing( 6 );
    AccountGroupBox->layout()->setMargin( 11 );
    AccountGroupBoxLayout = new QGridLayout( AccountGroupBox->layout() );
    AccountGroupBoxLayout->setAlignment( Qt::AlignTop );

    PasswordLabel = new QLabel( AccountGroupBox, "PasswordLabel" );

    AccountGroupBoxLayout->addWidget( PasswordLabel, 1, 0 );

    kcfg_Password = new KLineEdit( AccountGroupBox, "kcfg_Password" );
    kcfg_Password->setEchoMode( KLineEdit::Password );

    AccountGroupBoxLayout->addWidget( kcfg_Password, 1, 1 );

    kcfg_User = new KLineEdit( AccountGroupBox, "kcfg_User" );

    AccountGroupBoxLayout->addWidget( kcfg_User, 0, 1 );

    UserLabel = new QLabel( AccountGroupBox, "UserLabel" );

    AccountGroupBoxLayout->addWidget( UserLabel, 0, 0 );
    KBloggerConfigBlankLayout->addWidget( AccountGroupBox );

    ServerGroupBox = new QGroupBox( this, "ServerGroupBox" );
    ServerGroupBox->setColumnLayout(0, Qt::Vertical );
    ServerGroupBox->layout()->setSpacing( 6 );
    ServerGroupBox->layout()->setMargin( 11 );
    ServerGroupBoxLayout = new QGridLayout( ServerGroupBox->layout() );
    ServerGroupBoxLayout->setAlignment( Qt::AlignTop );

    TypeLabel = new QLabel( ServerGroupBox, "TypeLabel" );

    ServerGroupBoxLayout->addWidget( TypeLabel, 0, 0 );

    kcfg_Url = new KLineEdit( ServerGroupBox, "kcfg_Url" );

    ServerGroupBoxLayout->addMultiCellWidget( kcfg_Url, 1, 1, 1, 2 );

    UrlLabel = new QLabel( ServerGroupBox, "UrlLabel" );

    ServerGroupBoxLayout->addWidget( UrlLabel, 1, 0 );

    kcfg_BlogId = new KComboBox( FALSE, ServerGroupBox, "kcfg_BlogId" );
    kcfg_BlogId->setEditable( TRUE );

    ServerGroupBoxLayout->addMultiCellWidget( kcfg_BlogId, 2, 2, 1, 2 );

    kcfg_Type = new KComboBox( FALSE, ServerGroupBox, "kcfg_Type" );

    ServerGroupBoxLayout->addWidget( kcfg_Type, 0, 1 );
    spacer2 = new QSpacerItem( 170, 21, QSizePolicy::Expanding, QSizePolicy::Minimum );
    ServerGroupBoxLayout->addItem( spacer2, 0, 2 );

    BlogIdLabel = new QLabel( ServerGroupBox, "BlogIdLabel" );

    ServerGroupBoxLayout->addWidget( BlogIdLabel, 2, 0 );

    BlogNameLabel = new QLabel( ServerGroupBox, "BlogNameLabel" );

    ServerGroupBoxLayout->addWidget( BlogNameLabel, 3, 0 );

    BlogNameShowLabel = new QLabel( ServerGroupBox, "BlogNameShowLabel" );

    ServerGroupBoxLayout->addMultiCellWidget( BlogNameShowLabel, 3, 3, 1, 2 );
    KBloggerConfigBlankLayout->addWidget( ServerGroupBox );
    spacer3 = new QSpacerItem( 20, 31, QSizePolicy::Minimum, QSizePolicy::Expanding );
    KBloggerConfigBlankLayout->addItem( spacer3 );
    languageChange();
    resize( QSize(514, 292).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // tab order
    setTabOrder( kcfg_Url, kcfg_User );
    setTabOrder( kcfg_User, kcfg_Type );
    setTabOrder( kcfg_Type, kcfg_BlogId );
    setTabOrder( kcfg_BlogId, kcfg_Password );
}

/*
 *  Destroys the object and frees any allocated resources
 */
KBloggerConfigBlank::~KBloggerConfigBlank()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void KBloggerConfigBlank::languageChange()
{
    setCaption( tr2i18n( "KBlogger Configuration" ) );
    AccountGroupBox->setTitle( tr2i18n( "Account" ) );
    PasswordLabel->setText( tr2i18n( "Password:" ) );
    UserLabel->setText( tr2i18n( "Username:" ) );
    ServerGroupBox->setTitle( tr2i18n( "Server" ) );
    TypeLabel->setText( tr2i18n( "API:" ) );
    UrlLabel->setText( tr2i18n( "URL:" ) );
    kcfg_Type->clear();
    kcfg_Type->insertItem( tr2i18n( "Blogger API 1.0" ) );
    kcfg_Type->insertItem( tr2i18n( "MetaWeblog API" ) );
    BlogIdLabel->setText( tr2i18n( "Blog-ID:" ) );
    BlogNameLabel->setText( tr2i18n( "Name:" ) );
    BlogNameShowLabel->setText( tr2i18n( "Not available." ) );
}

#include "kbloggerconfigblank.moc"
